Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 617907 - [abrt] crash in exaile-0.3.2.0-1.fc13: files.py:111:_on_view_items:TypeError: 'NoneType' object is unsubscriptable
[abrt] crash in exaile-0.3.2.0-1.fc13: files.py:111:_on_view_items:TypeError:...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: exaile (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:02beebe1
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-24 15:42 EDT by zackxon
Modified: 2011-03-28 15:25 EDT (History)
2 users (show)

See Also:
Fixed In Version: exaile-0.3.2.1-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-28 15:25:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (554 bytes, text/plain)
2010-07-24 15:42 EDT, zackxon
no flags Details

  None (edit)
Description zackxon 2010-07-24 15:42:38 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: python /usr/lib/python2.6/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
component: exaile
executable: /usr/lib/python2.6/site-packages/exaile/exaile.py
kernel: 2.6.33.6-147.fc13.i686.PAE
package: exaile-0.3.2.0-1.fc13
reason: files.py:111:_on_view_items:TypeError: 'NoneType' object is unsubscriptable
release: Fedora release 13 (Goddard)

backtrace
-----
files.py:111:_on_view_items:TypeError: 'NoneType' object is unsubscriptable

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/exaile/xlgui/panel/files.py", line 80, in <lambda>
    self._on_view_items())
  File "/usr/lib/python2.6/site-packages/exaile/xlgui/panel/files.py", line 111, in _on_view_items
    track = self.tree.get_selected_tracks()[0]
TypeError: 'NoneType' object is unsubscriptable

Local variables in innermost frame:
self: <FilesPanel object at 0x99c0fcc (xlgui+panel+files+FilesPanel at 0x930df00)>
args: ()
Comment 1 zackxon 2010-07-24 15:42:40 EDT
Created attachment 434183 [details]
File: backtrace
Comment 2 vinced 2010-11-07 21:13:52 EST
Package: exaile-0.3.2.0-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. right clic on a folder in the tab "files" -> open directory. Nothing happened but this "crash".
2.
3.
Comment 3 Fedora Update System 2011-03-04 10:49:50 EST
Package exaile-0.3.2.1-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exaile-0.3.2.1-1.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc13
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-03-04 21:22:30 EST
exaile-0.3.2.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc13
Comment 5 Fedora Update System 2011-03-28 15:23:21 EDT
exaile-0.3.2.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.